Homebrew Need help, eShop crashes on 9.9e

TSS

Active Member
OP
Newcomer
Joined
Jun 23, 2013
Messages
27
Trophies
0
Age
25
XP
157
Country
Netherlands
I'm on 9.9e, I try to use ctr-httpwn and then the eShop in HBL that say (<10.4), but my 2DS freezes when the eShop is fully loaded, I tried looking through this site but didn't find anything, please help? (If anyone tells me to "just install a9lh hehruher" I will eat my own foot)
 
Last edited by TSS,

aos10

Yuuki chan
Member
Joined
Apr 10, 2012
Messages
4,756
Trophies
2
Age
38
XP
4,028
Country
Saudi Arabia
I'm on 9.9e, I try to use ctr-httpwn and then the eShop in HBL that say (<10.4), but my 2DS freezes when the eShop is fully loaded, I tried looking through this site but didn't find anything, please help? (If anyone tells me to "just install a9lh hehruher" I will eat my own foot)
well,just update your emunand,why are you not using emunand anyway?
Downgrade to 9.2 and setup emunand is very easy,you don't even need to install a9lh.
 

TSS

Active Member
OP
Newcomer
Joined
Jun 23, 2013
Messages
27
Trophies
0
Age
25
XP
157
Country
Netherlands
well,just update your emunand,why are you not using emunand anyway?
Downgrade to 9.2 and setup emunand is very easy,you don't even need to install a9lh.

I'm planning on setting up CFW on my other 3DS, and want to keep my 2DS at 9.9 in case I ever decide to set it up on there too, but right now I don't want to. Everywhere I've asked my question I only got answers along the lines of "Just get CFW" or "Just get A9LH". All I want is an answer to my question...
 

Ironknight

Well-Known Member
Member
Joined
May 24, 2016
Messages
170
Trophies
0
Age
27
XP
137
Country
Gambia, The
I'm planning on setting up CFW on my other 3DS, and want to keep my 2DS at 9.9 in case I ever decide to set it up on there too, but right now I don't want to. Everywhere I've asked my question I only got answers along the lines of "Just get CFW" or "Just get A9LH". All I want is an answer to my question...
I had the same problem, the browser version is outdated. The problem is only present on the main page, so spam the shit out of the a button when entering, so the first game site pops up. Then cluck the orange button in the top left corner, and you can search for games.
 

Clector

Well-Known Member
Member
Joined
Mar 15, 2016
Messages
1,076
Trophies
0
Location
Not here
XP
458
Country
Bangladesh
Try updating the starter kit, or try to launch it from Home Menu.
If that doesn"t work try installing the lastest eShop from your same region with NASA.
 
Last edited by Clector,

TheCyberQuake

Certified Geek
Member
Joined
Dec 2, 2014
Messages
5,012
Trophies
1
Age
28
Location
Las Vegas, Nevada
XP
4,432
Country
United States
It's honestly much easier in the long term to just set up CFW now. Don't get upset because people say to do it, because it's honestly not worth the hassle staying on a lower firmware and trying to get httpwn and eShop to work well together. In the end you will save time being able to have 9.2 sysNAND and an updated emuNAND with full online access without httpwn.

And just to test, have you tried running httpwn, hitting start and then X to quit HBL and go back to home menu, and then running the eShop? I've done that on a firmware 10.3 o3ds just within the past couple weeks without any problem, though it may be different on even older firmwares (I haven't tested on below 10.0)
 

TSS

Active Member
OP
Newcomer
Joined
Jun 23, 2013
Messages
27
Trophies
0
Age
25
XP
157
Country
Netherlands
just install a9lh hehruher /s

Are you booting it from Browserhax?

Nope, from Menuhax.

I had the same problem, the browser version is outdated. The problem is only present on the main page, so spam the shit out of the a button when entering, so the first game site pops up. Then cluck the orange button in the top left corner, and you can search for games.

Tried it, I can get into a game page, but all it does it make my system freeze 2 seconds later.

Try updating the starter kit, or try to launch it from Home Menu.
If that doesn"t work try installing the lastest eShop from your same region with NASA.

Tried both, and that might be what I'll do.

It's honestly much easier in the long term to just set up CFW now. Don't get upset because people say to do it, because it's honestly not worth the hassle staying on a lower firmware and trying to get httpwn and eShop to work well together. In the end you will save time being able to have 9.2 sysNAND and an updated emuNAND with full online access without httpwn.

And just to test, have you tried running httpwn, hitting start and then X to quit HBL and go back to home menu, and then running the eShop? I've done that on a firmware 10.3 o3ds just within the past couple weeks without any problem, though it may be different on even older firmwares (I haven't tested on below 10.0)

Yes I tried, I tried everything. I'll have to think about it a little more.
 

TSS

Active Member
OP
Newcomer
Joined
Jun 23, 2013
Messages
27
Trophies
0
Age
25
XP
157
Country
Netherlands
The minimal eShop version iirc is from 10.4 as of now. Install the CIA for eShop and Mint. You're on 9.9, so you shouldn't have issues.

Couple questions, what is Mint and will I have any problems with the eShop, system updates or CFW installation in the future if I do this?
 

gnmmarechal

Well-Known Member
Member
GBAtemp Patron
Joined
Jul 13, 2014
Messages
6,038
Trophies
2
Age
25
Location
https://gs2012.xyz
Website
gs2012.xyz
XP
5,983
Country
Portugal
Couple questions, what is Mint and will I have any problems with the eShop, system updates or CFW installation in the future if I do this?
You will not, but your firmware can be considered a frankenfirmware. I used to do this to play online on older firmwares (although I installed some other parts as well). Mint is related to eShop, iirc, you need Mint to add a balance.
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
  • BakerMan
    The snack that smiles back, Ballsack!
  • Psionic Roshambo @ Psionic Roshambo:
    I remember when the Atari 2600 was new and exciting lol
  • Psionic Roshambo @ Psionic Roshambo:
    It could get banned from PSN but you can change your ID I think?
  • Xdqwerty @ Xdqwerty:
    also gonna install twilight menu in my r4 flashcard
  • Psionic Roshambo @ Psionic Roshambo:
    One thing that just occurred to me.... The sound on the 2600 sucked less back then the harsh sound we hear now is from infinitely better speakers we have now, back when the 2600 was new speakers produced a almost muffled sound, like CRTs made old graphics look slightly better.
  • Psionic Roshambo @ Psionic Roshambo:
    I wonder if I could recommend that to some emulation devs that perhaps the sound could use some smoothing out to simulate those old TVs
  • Psionic Roshambo @ Psionic Roshambo:
    I think a few of the early systems could benefit from that, at least up to the 8 bit generation, by the 16 bit generation I think TVs had gotten a lot better in almost every way
  • Xdqwerty @ Xdqwerty:
    i dont have an sd card adapter but I have an usb sd card adapter
  • K3Nv2 @ K3Nv2:
    Old people games
  • Xdqwerty @ Xdqwerty:
    its not the one that comes with the r4
  • Xdqwerty @ Xdqwerty:
    doesnt work (my flashcard is from r4isdhc.com)
  • Xdqwerty @ Xdqwerty:
    might install ysmenu first
  • Psionic Roshambo @ Psionic Roshambo:
    Try Wood firmware
  • Psionic Roshambo @ Psionic Roshambo:
    For your R4
  • Psionic Roshambo @ Psionic Roshambo:
    It's old but it's the best firmware out for DS stuff
  • Xdqwerty @ Xdqwerty:
    it says it only works for the original R4, R4i Gold (r4ids.cn), R4iDSN (r4idsn.com) and Acekard R.P.G.
  • Xdqwerty @ Xdqwerty:
    nvm it does support mine
  • Xdqwerty @ Xdqwerty:
    but why choose it over ysmenu @Psionic Roshambo?
  • Xdqwerty @ Xdqwerty:
    bc im stupid?
  • Xdqwerty @ Xdqwerty:
    yea ik im stupid
  • Xdqwerty @ Xdqwerty:
    good night
  • Psionic Roshambo @ Psionic Roshambo:
    Just give it a try, but honestly if you have a 3DS you can play DS games without a card just off the internal SD card
  • Psionic Roshambo @ Psionic Roshambo:
    Slightly slower loading but a bit more convenient
  • BakerMan @ BakerMan:
    guys, my fuckin headphones have an out of place speaker
    BakerMan @ BakerMan: guys, my fuckin headphones have an out of place speaker